svn commit: r353448 - head/tests/sys/kern
Eric van Gyzen
vangyzen at FreeBSD.org
Fri Oct 11 21:23:47 UTC 2019
Author: vangyzen
Date: Fri Oct 11 21:23:46 2019
New Revision: 353448
URL: https://svnweb.freebsd.org/changeset/base/353448
Log:
coredump_phnum_test: handle full file system gracefully
Skip the test if the file system is full. That's out of scope
of this test.
MFC after: 1 week
Sponsored by: Dell EMC Isilon
Modified:
head/tests/sys/kern/coredump_phnum_test.sh
Modified: head/tests/sys/kern/coredump_phnum_test.sh
==============================================================================
--- head/tests/sys/kern/coredump_phnum_test.sh Fri Oct 11 18:41:24 2019 (r353447)
+++ head/tests/sys/kern/coredump_phnum_test.sh Fri Oct 11 21:23:46 2019 (r353448)
@@ -53,17 +53,28 @@ coredump_phnum_body()
case "$cuc" in
0)
+ unzip_status=0
;;
1)
- atf_check gunzip coredump_phnum_helper.core.gz
+ gunzip coredump_phnum_helper.core.gz 2>unzip_stderr
+ unzip_status=$?
;;
2)
- atf_check zstd -qd coredump_phnum_helper.core.zst
+ zstd -qd coredump_phnum_helper.core.zst 2>unzip_stderr
+ unzip_status=$?
;;
*)
atf_skip "unsupported kern.compress_user_cores=$cuc"
;;
esac
+
+ if [ $unzip_status -ne 0 ]; then
+ if grep -q 'No space left on device' unzip_stderr; then
+ atf_skip "file system full: $(df $PWD | tail -n 1)"
+ fi
+ atf_fail "unzip failed; status ${unzip_status}; " \
+ "stderr: $(cat unzip_stderr)"
+ fi
# Check that core looks good
if [ ! -f coredump_phnum_helper.core ]; then
More information about the svn-src-all
mailing list